org.eclipse.wst.jsdt.core.infer

## Class DefaultInferrenceProvider

- java.lang.Object
- - org.eclipse.wst.jsdt.core.infer.DefaultInferrenceProvider

All Implemented Interfaces:
  InferrenceProvider

    public class DefaultInferrenceProvider
    extends java.lang.Object
    implements InferrenceProvider

A default implementation of InferrenceProvider. It uses the default Inference engine. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `ID`

### Fields inherited from interface org.eclipse.wst.jsdt.core.infer.InferrenceProvider

`MAYBE_THIS, NOT_THIS, ONLY_THIS`

### Constructor Summary

Constructors
Constructor and Description
`DefaultInferrenceProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `applysTo(IInferenceFile scriptFile)` Determine if this inference provider applies to a script
`java.lang.String` `getID()` Get the inference provider ID
`IInferEngine` `getInferEngine()` Get the inference engine for this inference provider, or null if one will not be provided.
`RefactoringSupport` `getRefactoringSupport()`
`ResolutionConfiguration` `getResolutionConfiguration()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultInferrenceProvider

    public DefaultInferrenceProvider()

### Method Detail

#### applysTo

    public int applysTo(IInferenceFile scriptFile)

Description copied from interface: `InferrenceProvider`
Determine if this inference provider applies to a script

Specified by:
  `applysTo` in interface `InferrenceProvider`
Parameters:
  `scriptFile` - The script that the inferencing will be done for
Returns:
  `InferrenceProvider.ONLY_THIS`, `InferrenceProvider.NOT_THIS`, `InferrenceProvider.MAYBE_THIS` depending on how much this inference provider applies to the specified script.

#### getInferEngine

    public IInferEngine getInferEngine()

Description copied from interface: `InferrenceProvider`
Get the inference engine for this inference provider, or null if one will not be provided. Implementors returning null are expected to return `InferrenceProvider.NOT_THIS` for all calls to `InferrenceProvider.getInferEngine()`

Specified by:
  `getInferEngine` in interface `InferrenceProvider`
Returns:
  an inference engine

#### getID

    public java.lang.String getID()

Description copied from interface: `InferrenceProvider`
Get the inference provider ID

Specified by:
  `getID` in interface `InferrenceProvider`
Returns:
  the id of this inference provider

#### getResolutionConfiguration

    public ResolutionConfiguration getResolutionConfiguration()

Specified by:
  `getResolutionConfiguration` in interface `InferrenceProvider`
Returns:
  the ResolutionConfiguration used to resolve the inferred classes

#### getRefactoringSupport

    public RefactoringSupport getRefactoringSupport()

Specified by:
  `getRefactoringSupport` in interface `InferrenceProvider`
Returns:
  the RefactoringSupport used to provide refactoring for inferred types, or null if it is not offered.